Leads
Get apiv2organizations leadsdashboard
GET
/
api
/
v2
/
organizations
/
{orgId}
/
leads
/
dashboard
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/leads/dashboardimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"month": "<string>",
"is_current_month": true,
"buyers": [
{
"email": "<string>",
"sold": 1,
"sold_today": 1,
"monthly_cap": 1,
"saturation": 1,
"daily_cap_reached": true,
"monthly_cap_reached": true
}
],
"refunds": {
"monthly_rate": 1,
"days": [
{
"day": "2023-12-25",
"sold": 1,
"refund_rate": 1
}
]
},
"runway": {
"demand": 1,
"sold": 1,
"remaining": 1,
"reachable": 1,
"days_elapsed": 1,
"days_left": 1,
"generated_per_day": 1,
"sell_through": 0.5,
"refund_rate": 0.5,
"needed_generated": 1,
"needed_per_day": 1,
"projected_generated": 1,
"projected_fill": 1,
"gap": 1,
"series": [
{
"day": 16,
"generated": 1,
"projected": 1,
"needed": 1
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Path Parameters
Query Parameters
Defaults to the current month (UTC).
Pattern:
^\d{4}-(0[1-9]|1[0-2])$Response
The osiro.direct dashboard for one month: buyer fill, refund rate and lead runway, over every sale the organization made
⌘I
cURL
curl --request GET \
--url https://api.example.com/api/v2/organizations/{orgId}/leads/dashboardimport requests
url = "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v2/organizations/{orgId}/leads/dashboard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"month": "<string>",
"is_current_month": true,
"buyers": [
{
"email": "<string>",
"sold": 1,
"sold_today": 1,
"monthly_cap": 1,
"saturation": 1,
"daily_cap_reached": true,
"monthly_cap_reached": true
}
],
"refunds": {
"monthly_rate": 1,
"days": [
{
"day": "2023-12-25",
"sold": 1,
"refund_rate": 1
}
]
},
"runway": {
"demand": 1,
"sold": 1,
"remaining": 1,
"reachable": 1,
"days_elapsed": 1,
"days_left": 1,
"generated_per_day": 1,
"sell_through": 0.5,
"refund_rate": 0.5,
"needed_generated": 1,
"needed_per_day": 1,
"projected_generated": 1,
"projected_fill": 1,
"gap": 1,
"series": [
{
"day": 16,
"generated": 1,
"projected": 1,
"needed": 1
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}